jargs.gnu

## Class CmdLineParser.UnknownOptionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - jargs.gnu.CmdLineParser.OptionException
      - - jargs.gnu.CmdLineParser.UnknownOptionException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    CmdLineParser.NotFlagException, CmdLineParser.UnknownSuboptionException
  Enclosing class:
    CmdLineParser

      public static class CmdLineParser.UnknownOptionException
      extends CmdLineParser.OptionException

  Thrown when the parsed command-line contains an option that is not recognised. `getMessage()` returns an error string suitable for reporting the error to the user (in English).
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CmdLineParser.UnknownOptionException(java.lang.String optionName)`
    `CmdLineParser.UnknownOptionException(java.lang.String optionName, java.lang.String msg)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getOptionName()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CmdLineParser.UnknownOptionException

          CmdLineParser.UnknownOptionException(java.lang.String optionName)

    - #### CmdLineParser.UnknownOptionException

          CmdLineParser.UnknownOptionException(java.lang.String optionName,
                                              java.lang.String msg)

  - ### Method Detail

    - #### getOptionName

          public java.lang.String getOptionName()

      Returns:
        the name of the option that was unknown (e.g. "-u")